About EasyWave

EasyWave waveform creation and editing tool for function / arbitrary waveform generator is PC-based software that runs on the Windows 2000, and Windows XP Professional operating systems. It provides a powerful waveform draw, edit, view and mathematical process, With EasyWave you can easily draw out the desired waveform.

Draw: Provides five drawing ways.：

l Nine types of standard waveform drawing

l Hand drawing

l Horizontal, vertical, oblique drawing

l Equation drawing

l Coordinates drawing (coordinates of inputs can from mouse and table)

Edit: In addition to the usual undo, redo, cut, copy, paste, delete, but also provides a Horizontal reversal and vertical reversal operation. Editing area can be set accurately by setting the cursor slider position.

View: Provides the point of view, horizontal, vertical, regional enlarged view of the waveform, you can see the small part of waveform information. Cursor tracking can also view the specific coordinates of points. Waveform color settings, providing users to set up their own favorite color of the plot area.

Math: Provides a waveform with a constant value, or with another waveform do math operation of addition and subtraction and multiplication, also providing a variety of types of Window treatment, filtering and smoothing functions.

The waveform generated from EasyWave can be send to the function / arbitrary waveform generator, or load waveform from the function / arbitrary waveform generator to EasyWave. with the same CSV format Waveform data, you can implement the function / arbitrary waveform generator, EasyWave and the oscilloscope connection to each other seamless.EasyWave communicates with the function / arbitrary waveform generator of 1000 series through USBRAW interface,and 5000 series through USBTMC interface.Please refer to the handbook of the generator to see how to set the interface.

From the user point of view, the software interface design simple, elegant, easy to use. The main interface as shown below:


Config

Configuration requirements

Hardware configuration requirements

1. 1GHz or higher processor

2. 200M or more hard disk space

3. 1024x768 monitor resolution or above

4. 128M or more RAM

5. USB communication, to be equipped with USB interface device and the USB communication cable

Software configuration requirements

1. The application you are installing requires the NI-VISA to run. You can download the NI-VISA package directly from http://www.ni.com/visa at the bottom of the web, you will see the “Also see:” , then click the “Downloads” option, you will get what you want. Once you've installed the NI-VISA, you can continue installing the application.

Operating system supported

1. Microsoft Windows2000, XP operating system

2. Win7 32bit and 64bit operating system

3. Vista 64bit operating system


File

File Menu

File menu for the operation of the waveform data files, including the new, open, save, save as, print, print preview, exit and other functions. As shown below:

The sub-menu function:

1. New

Pop-up new waveform dialog, set some attributes of the new waveform window.

2. Open

Open the saved CSV format waveform files.

3. Save

Save the current active window to a CSV file waveform, if it is the first save, the save file dialog will pop up, if the window has been saved, the changes made directly to save.

4. Save as

Save file dialog pop-up each time, the user enters the path and file name to save the the current active window’s waveform.

5. Print preview

Print preview the currently active window’s Waveform.

6. Print

In the absence of connecting the printer, the Print dialog box will pop-up, the user can do some print settings, such as setting the printer name and some other printing parameters.

7. Exit

Close EasyWave Software .


Edit

Edit Menu

Edit menu , provide users with Undo, redo, cut, copy, paste, delete, select all editing operations, the editing area range is set by the cursor slider, only the left and right cursor slider is displayed, the editing is available, the menu is as follows shown below:

The sub-menu function:

1. Undo

Revocation of the last operation, you can undo multiple times.

2. Redo

And the revocation of the anti-operate and maintain the last operation. Redo operation can be repeated.

3. Cut

Cut wave between the left and right cursor slider.

4. Copy

Copy the waveform between the left and right cursor slider.

5. Paste

Paste copied or cut data to the end of the waveform. If the waveform is a full window, you can not paste.

6. Delete

Remove the waveform between the left and right cursor slider.

7. Select all

Set left and right cursor slider for the whole range of waveforms.

8. Horizontal reversal

Horizontal reversal waveform between the left and right cursor slider.

9. Vertical reversal

Vertical reversal waveform between the left and right cursor slider.


View

View Menu

Offers a variety of ways to watch waveform. Menu as shown below:

The sub-menu function:

1. View slider

show or hide the cursor slider of the active window.

2. Grid

show or hide the grid of the active window.

3. point view

Display the current waveform in point style, or solid line style.

4. Cursor trace

Follow the mouse movement a cross cursor display.

5. Zoom on horizontal

By selecting this function. In the waveform window, push down the left mouse button, move left or right to select an interval, then release the left mouse button, then waveform is zoomed. After zoom, a scroll bar will appear below the waveform, user can drag the scroll bar to view different regional waveforms.

6. Zoom on vertical

By selecting this function. In the waveform window, push down the left mouse button, move up or down to select an interval, then release the left mouse button, then waveform is zoomed.

7. Zoom on region

By selecting this function. In the waveform window, push down the left mouse button, move left or right or up or down to select an interval, then release the left mouse button, then waveform is zoomed.

8. Expand

If the waveform is not full screen display in Window, then it will be extended to full screen display in Window .

9. Undo zoom

Undo zoom, the waveform back to the original size.


Draw

Draw menu

Used to draw waveform, menus as shown below:

The sub-menu function:

1. Hand Draw

Click the left mouse button and drag the mouse to draw. Release the mouse button to complete the hand-drawn.

2. Line Draw

Click the left mouse button and drag the mouse, according to the choice of straight line, or vertical line or oblique line, draw the corresponding line. Release the mouse button to complete once draw.

3. Coordinate Draw

Pop-up Coordinates Drawing dialog.

4. Equation Draw

Pop-up Equation Drawing dialog.

5. Standard Waveform

Pop-up Standard waveform dialog.

6. Undo last draw

Remove the last draw operation result.


Math

Math Menu

DO mathematical process to the selected waveform. Menu as shown below:

The sub-menu function:

1. Arithmetic math

1) Date math

Pop-up Math value dialog.

2) Two wave math

Pop-up Math wave dialog.

2. Window math

Pop-up Math Window dialog , can select the waveform for many types of window functions of Window treatment.

3. Filter

Pop-up filtering dialog, select the waveform to filter, can used a variety of types of filtering function.

4. Smooth

Smooth the current editing window’s waveform.


Properity

Properity Menu

Properties menu to view and modify the properties of the waveform, as shown below:

Click the "Properity setting" sub-menu, bring up the properties dialog, you can modify the name of the waveform,VPP, frequency and period.


Communication

Communications Menu

Communications menu is used to communicate with the instrument. Has options of send wave, read wave, Import from SCOPE. As shown below:

The sub-menu function:

1. Read wave

Pop-up Read Waveform dialog , select a waveform name, read to the current waveform editor window.

2. Send wave

Pop-up Send Waveform dialog , send the waveform selected to the instrument.

3. Import from SCOPE

Pop-up Import from SCOPE dialog, you can chose from which SCOPE and which channel to import, according to the selected Scope’s channel open status.


Window

Windows Menu

Window menu is used to manage all the open waveform’s layout of display , As shown below:

The sub-menu function:

1. Cascade

arranged all of open Waveforms windows in a hierarchical display.

2. Tile

arranged all of open Waveforms windows in a horizontally display.

3. waveform list

List all of the open waveform window, and the current editor window is set checked, when there is a lot of windows, you can easily select the window you want.


Style

Style Menu

Used to set the display interface style and interface language, as shown below:

The sub-menu function:

1. Language

Including Chinese and English options for dynamically set interface display.


Help

Help Menu

The help menu provide users with basic software information and how to use the EasyWave software, as shown below:

The sub-menu function:

1. About EasyWave

Show some of the software version information.

2. User help

Provides links to help documentation, based on the current interface language, display the corresponding language help.


PopMenu

Pop-up Menu

Corresponding to some operation of the editors, views, Draw, mathematical treatment. As shown below:

This menu is a combination of other menu items, the specific function with other functions corresponding to the same menu. Right-click the plot area will be able to bring up the menu.


NewDialog

New Waveform dialog

New waveform dialog set the basic properties of the waveform, including the name, VPP, frequency, period of the waveform. As shown below:

Parameters:

1. Waveforms Name

Define the name of the waveform created, the default name for wave1, wave2, wave3 ... ..., the user can enter their own meaningful name, but the name’s maximum length is 32 characters.

2. Samples.

Waveform’s maximum points. Function / arbitrary waveform generator uses direct digital synthesis (DDS) to generate arbitrary waveforms, the more points, the smaller waveform distortion, the more smooth. The current 1000 series function / arbitrary waveform generator supports 16384 (16K) points, the 5000 series supports 524288(512K)points. The value is depended on the function / arbitrary waveform generator model toconnected.

3. VPP

Set the waveform peak. You can choose to use the "V" or "mV" as input units. The current function / arbitrary waveform generator supports range resolution is 0.3mV, the maximum peak value of 6V.

4. Quantify

Quantify number of bits. The magnitude of each point was quantified as an integer, and then normalized into a real number.

Quantification of software support 14-bit, the greater the number of bits, amplitude resolution, the greater the distortion is smaller. The current function / arbitrary waveform generator supports 14-bit.

5. Frequency / Period

Set the waveform frequency. The current function / arbitrary waveform generator to support a minimum 1uHz, the maximum 40MHz arbitrary waveform output, the minimum frequency resolution is 1uHz.


Coordinate Dialog

Coordinate Drawing dialog

Coordinate Drawing dialog, Provide user input coordinates to draw the waveform. Enter the coordinates in two ways: the mouse input and table input. Waveform generation ways are straight lines and curves, as shown below:

Parameters:

1. Input feature points

The coordinates points counts use to plot.

2. Mouse

Point of input from mouse, in plot area by click the left mouse button to input position.

3. Table

Point of input from table, the input point of the X coordinates and Y coordinates to mark the location of the input point. Starting from the first line, continuous input point coordinate information.

4. Line

Enter a straight line between the input points connected together.

5. Curve

Enter a smooth curve between the points connected together.


Equation dialog

Equation Draw dialog

Users can enter the equation to drawing waveform, as shown below:

Users can use the available functions and operators to write your own equation to draw waveform, or from an existing database, select a equation to drawing, the user can add their equation to the equation library for later use.

Samples: the length of the drawing area.


Standard dialog

Standard Waveform dialog

Offers nine standard waveform draw, as shown below:

Users from the drop-down list to select one standard waveforms, including sine, square, ramp, pulse, Sinc, noise, exponential rise , exponential fall, DC. When the parameters changeed, the preview area will show it.


Math value Dialog

Math value

Select the waveform with a constant value do addition and subtraction multiplication and division operation, and absolute operation. As shown below:

You can also select the range of operation, when the waveform window’s cursor slide show, you can move the cursor slider to determine which parts of the waveform computing constant values. Select all waveform as operation is ok all the time.


Math wave Dialog

Math wave

Two windows can be achieved on addition and subtraction and multiplication operation, operation result will be show in the first preview window .as show below:


Math window Dialog

Math window

Selected one waveform for window treatment, as shown below:

window function can be choose is below:

1. Triangle

2. Hanning

3. Hamming

4. Blackman

5. Kaiser

6. BlackmanHarris

7. Extend Cosine

8. Fall Exp

9. FlatTop

10. Force


Math Filter dialog

Filter dialog

Filter The waveform of selected by different types filtering Function , as shown below:

Parameters：

1. Filter Type

Overall divided into low-pass, high-pass, band-pass, band-stop four filter types, specific are:

1) ButterworthLowPass

2) ButterworthHighPass"

3) ButterworthBandPass

4) ButterworthBandStop

5) ChebyshevLowPass

6) ChebyshevHighPass

7) ChebyshevBandPass

8) ChebyshevBandStop

9) EllipticLowPass

10) EllipticHighPass

11) EllipticBandPass

12) EllipticBandStop

2. Filter order

3. Sampling frequency

4. Low cutoff frequency

For the low-pass filtering

5. High cutoff frequency

For the high -pass filtering


Read dialog

Read waveform from the function / arbitrary waveform generator to EasyWave, as shown below:

Parameters

1.Device List

Users select the device from the list.

2.Waveforms list

Users select from the list to read the waveform by name .


Send dialog

Send waveform to the function / arbitrary waveform generator, as shown below:

Parameters:

1. Device List

Select which device to send.

1. Store location

Select which location to send,

2. name

Users can select the current waveform of all open windows for transmission waveform, by default, the waveform for the current active window name. If the same name waveform has been stored , a message box will tip you go to properties change dialog, change the name first then to send again.


Properties change dialog

Offers change the name , VPP, frequency, period of the active waveform. When VPP changes, you can click the "Reset Preview" view the revised results. As shown below:


Connect / Disconnect dialog

Import from SCOPE

Import from SCOPE dialog, to import wave from SCOPE to EasyWave. As shown below:

Parameters:

1. Scope serial No.

Select which SCOPE you want to import from by device serial No.

2 Available channel

According to the selected Scope's channel open status to update the available channel check status.


Toolbar

Toolbar, providing quick operation, the toolbar in part by the File menu, Edit menu, draw menu, View menu item. As shown below:

File menu section:

Toolbar icons from left to right:

1. new

2. open

3. save

4. print

5. print preview

Edit menu section:

Toolbar icons from left to right:

1. undo

2. redo

3. cut

4. copy

5. paste

6. delete

Draw menu section:

Toolbar icons from left to right:

1. hand draw

2. horizontal draw

3. vertical draw

4. Oblique draw

5. Equation draw

6. coordinates draw

7. undo last draw

View menu section:

Toolbar icons from left to right：

1. Cursor slider

2. grid

3. point view

4. horizontal zoom

5. vertical zoom

6. region zoom

7. out zoom


Left dockBar

Provides nine types of standard waveforms a quick way to draw, Icon Identification of the standard waveforms from top to bottom is

shown below:

1. sine

2. Square

3. ramp

4. pulse

5. Sinc

6. noise

7. exprise

8. expfall

9. DC


BottomDockBar

Bottom dock bar, used to set the cursor position , indicating the location of the mouse in the drawing area, the connection status indicator and load waveforms, send waveforms , as shown below:

Parameters:

1. Left slider

Shows the location of the left slider; enter a value in the edit box ,then press the Enter key, to set the left cursor position.

2. Right slider

Shows the location of the right slider; enter a value in the edit box ,then press the Enter key, to set the right cursor position.

3. CursorX

No tracking or window at the cursor slider hide, show the mouse's X coordinate of the plot area.

4. CursorY

No tracking or window at the cursor slider hide, show the mouse's Y coordinate of the plot area.

5. Read wave

pop-up Read Waveform dialog .

6. Send wave

pop-up Send Waveform dialog .


°²×°Ö¸µ¼

Software Install Guide

Guide the users to install software, the install steps as below:

One: double click the steup.exe , launch the install process, dialog show as below:

The language show on the dialog is due to the local language on computer, there are two install languages-Chinese and English.

Two: chose language English then click ok, dialog show as below:

Three: click next, dialog show as below:

Four: set the install path, default path is “C:\Program Files\EasyWave”, you can change it, click next, dialog show as below:

Five: click next, dialog show as below:

Six: click next, dialog show as below:

Seven: click install, dialog show as below:

Eight: now software setup is finished.


Color Set Dialog

ColorSetDLG

Color Settings dialog , used to set the color of the current active waveform, through the [image] button to select the color you want , as shown below:

Parameters:

1. Waveform Color

The color of wave curve.

2. Background color

The color of plot area background .

3. Grid Color

The color of grid lines.

4. Color of the left slider

When Cursor slider is displayed, the color of the left cursor slider.

5. Color of the right slider

When Cursor slider is displayed, the color of the right cursor slider.


Connect / Disconnect dialog